toml-parser-1.3.0.0: TOML 1.0.0 parser

Copyright | (c) Eric Mertens 2023
License | ISC
Maintainer | emertens@gmail.com
Safe Haskell | Safe-Inferred
Language | Haskell2010

Toml.Located

Description

This module provides a simple tuple for tracking pairs of values and their file locations.

Synopsis

- data Located a = Located {
  - locPosition :: !Position
  - locThing :: !a
  }

# Documentation

data Located a #

A value annotated with its text file position

Constructors

Located |

Fields

- locPosition :: !Position

  position

- locThing :: !a

  thing at position

#### Instances

Instances details

Foldable Located # | Default instance

Instance details

Defined in Toml.Located

Methods

fold :: Monoid m => Located m -> m

foldMap :: Monoid m => (a -> m) -> Located a -> m

foldMap' :: Monoid m => (a -> m) -> Located a -> m

foldr :: (a -> b -> b) -> b -> Located a -> b

foldr' :: (a -> b -> b) -> b -> Located a -> b

foldl :: (b -> a -> b) -> b -> Located a -> b

foldl' :: (b -> a -> b) -> b -> Located a -> b

foldr1 :: (a -> a -> a) -> Located a -> a

foldl1 :: (a -> a -> a) -> Located a -> a

toList :: Located a -> [a]

null :: Located a -> Bool

length :: Located a -> Int

elem :: Eq a => a -> Located a -> Bool

maximum :: Ord a => Located a -> a

minimum :: Ord a => Located a -> a

sum :: Num a => Located a -> a

product :: Num a => Located a -> a

Traversable Located # | Default instance
Instance details Defined in Toml.Located Methods traverse :: Applicative f => (a -> f b) -> Located a -> f (Located b) sequenceA :: Applicative f => Located (f a) -> f (Located a) mapM :: Monad m => (a -> m b) -> Located a -> m (Located b) sequence :: Monad m => Located (m a) -> m (Located a)
Functor Located # | Default instance
Instance details Defined in Toml.Located Methods fmap :: (a -> b) -> Located a -> Located b (<$) :: a -> Located b -> Located a
Read a => Read (Located a) # | Default instance
Instance details Defined in Toml.Located Methods readsPrec :: Int -> ReadS (Located a) readList :: ReadS [Located a] readPrec :: ReadPrec (Located a) readListPrec :: ReadPrec [Located a]
Show a => Show (Located a) # | Default instance
Instance details Defined in Toml.Located Methods showsPrec :: Int -> Located a -> ShowS show :: Located a -> String showList :: [Located a] -> ShowS